Bug 654262 - duplicated boot parameter after upgrade
Summary: duplicated boot parameter after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node
Version: 5.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 10:48 UTC by Alan Pevec
Modified: 2011-01-13 18:43 UTC (History)
3 users (show)

Fixed In Version: ovirt-node-1.0-52.el5
Doc Type: Bug Fix
Doc Text:
As a result of multiple in-place upgrades, the "OVIRT_BOOTPARAMS" option in the /etc/default/ovirt configuration file could contain duplicate "rootfstype" boot parameters. This error has been fixed, and the above parameter is no longer duplicated.
Clone Of:
Environment:
Last Closed: 2011-01-13 18:43:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0148 0 normal SHIPPED_LIVE rhev-hypervisor bug fix update 2011-01-13 18:40:52 UTC

Description Alan Pevec 2010-11-17 10:48:31 UTC
Description of problem:
After multiple in-place upgrades, I see in /etc/default/ovirt
OVIRT_BOOTPARAMS=" roottypefs=ext3 roottypefs=ext3 roottypefs=ext3 roottypefs=ext3 roottypefs=ext3 roottypefs=ext3 elevator=deadline console=ttyS1,115200n8 crashkernel=128M@16M processor.max_cstate=1"

roottypefs=ext3 is appended in ovirt-config-boot
    bootparams="ro roottypefs=ext3 $bootparams"

but not matched in ovirt-early
            BOOT_IMAGE=* | initrd=* | check | linux | liveimg | \
            root=* | rootfstype=* | rootflags=* | ro)
            ;;
            *)
            bootparams="$bootparams $i"
            ;;

rootfstype is a typo

Version-Release number of selected component (if applicable):
ovirt-node-1.0-43.el5_5rhev2_2.6
Red Hat Enterprise Virtualization Hypervisor release 5.5-2.2 (8)

Comment 1 Alan Pevec 2010-11-26 22:32:12 UTC
err, roottypefs is a typo:

--- a/scripts/ovirt-config-boot
+++ b/scripts/ovirt-config-boot
@@ -123,7 +123,7 @@ ovirt_boot_setup() {
     else
         oldtitle="BACKUP $(grep ^title /boot/grub/grub.conf|head -n1|cut -c7-)"
     fi
-    bootparams="ro roottypefs=ext3 $bootparams"
+    bootparams="ro rootfstype==ext3 $bootparams"
     cat > /boot/grub/grub.conf << EOF
 default saved
 timeout 5

Comment 2 Alan Pevec 2010-12-02 22:59:05 UTC
follow-up patch to fix typo:
-    bootparams="ro rootfstype==ext3 $bootparams"
+    bootparams="ro rootfstype=ext3 $bootparams"

Comment 4 Mohua Li 2010-12-07 07:07:45 UTC
i could reproduce this bug, but now as only rhev-hypervisor 5.6-6.1 included this fix, but upgrade need  at least 2 builds, that means one of them not included this fix, so i will wait for next version to check this bug,

Comment 5 Alan Pevec 2010-12-07 07:32:01 UTC
you can also test it by installing the same 5.6-6.1 over 5.6-6.1

Comment 6 Mohua Li 2010-12-07 10:09:48 UTC
fixed on rhev-hypervisor 5.6-6.1, no duplicate boot parameter now after upgrade from 5.6-6.1 to 5.6-6.1, 

[root@intel-5504-24-1 ~]# cat /etc/default/ovirt
# 
OVIRT_BOOTIF=""
OVIRT_STANDALONE="1"
OVIRT_BOOTPARAMS=" roottypefs=ext3 ksdevice=bootif lang= kssendmac processor.max_cstate=1 elevator=deadline console=tty0 crashkernel=128M@16M linux=~ liveimg=~ ro=~ check=~"

Comment 7 Jaromir Hradilek 2011-01-06 16:58:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
As a result of multiple in-place upgrades, the "OVIRT_BOOTPARAMS" option in the /etc/default/ovirt configuration file could contain duplicate "rootfstype" boot parameters. This error has been fixed, and the above parameter is no longer duplicated.

Comment 9 errata-xmlrpc 2011-01-13 18:43:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0148.html


Note You need to log in before you can comment on or make changes to this bug.